none
SMO mit .NET mit verschiedenen SQL-Server-Versionen? RRS feed

  • Frage

  • Hallo,

    gibt es eine Möglichkeit, mit einer einzigen .NET-Apllikation SMO auf verschiedenen SQL-Server-Versionen zu verwenden?
    Ich benötige die Funktionen zur Skript-Erstellung, alles andere wäre entbehrlich.

    Gruß und Dank vorab!
    Anja

    Montag, 2. Januar 2012 14:13

Antworten

  • Hallo Anja,

    es sollte für die Versionen von 2000 bis 2008 R2  kein Problem sein.

    Siehe auch Übersicht (SMO) Da SMO mit SQL Server 2000, SQL Server 2005, SQL Server 2008 und SQL Server 2008 R2 kompatibel ist, können Sie mühelos eine Umgebung mit mehreren Versionen verwalten. SMO unterstützt keinen Kompatibilitätsgrad von 60, 65 oder 70. Wenn Sie SMO mit einer Datenbank mit einem auf 60, 65 oder 70 festgelegten Kompatibilitätsgrad verwenden, können Sie die Datenbank nicht mit SMO verwalten.

    Kannst Du Dein Problem genauer beschreiben?


    Xing   ExPEditor 0.0.11.0
    • Als Antwort vorgeschlagen Olaf HelperMVP Dienstag, 3. Januar 2012 17:40
    • Als Antwort markiert Anja Länge Donnerstag, 5. Januar 2012 00:21
    Montag, 2. Januar 2012 14:39

Alle Antworten

  • Hallo Anja,

    es sollte für die Versionen von 2000 bis 2008 R2  kein Problem sein.

    Siehe auch Übersicht (SMO) Da SMO mit SQL Server 2000, SQL Server 2005, SQL Server 2008 und SQL Server 2008 R2 kompatibel ist, können Sie mühelos eine Umgebung mit mehreren Versionen verwalten. SMO unterstützt keinen Kompatibilitätsgrad von 60, 65 oder 70. Wenn Sie SMO mit einer Datenbank mit einem auf 60, 65 oder 70 festgelegten Kompatibilitätsgrad verwenden, können Sie die Datenbank nicht mit SMO verwalten.

    Kannst Du Dein Problem genauer beschreiben?


    Xing   ExPEditor 0.0.11.0
    • Als Antwort vorgeschlagen Olaf HelperMVP Dienstag, 3. Januar 2012 17:40
    • Als Antwort markiert Anja Länge Donnerstag, 5. Januar 2012 00:21
    Montag, 2. Januar 2012 14:39
  • Hallo Yury,

    nachdem ich die Projektmappe einmal komplett neu erstellt habe, kann ich den Fehler nicht mehr reproduzieren und die Anwendung läuft sauber mit allen Versionen.

    Danke.

    Donnerstag, 5. Januar 2012 00:21